Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mycarenet.commons.core.v4
Class PackageType

    java.lang.Object
      be.fgov.ehealth.mycarenet.commons.core.v4.SelfRefType
          be.fgov.ehealth.mycarenet.commons.core.v4.AbstractIdType
              be.fgov.ehealth.mycarenet.commons.core.v4.PackageType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:06:25+01:00",
               comments="JAXB RI v2.2.11")
    public class PackageType

extends AbstractIdType
implements Serializable

Information about the software package that is connectedto MyCareNet.

Java class for PackageType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PackageType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}AbstractIdType">
           <sequence>
             <element name="License" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}LicenseType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PackageType()`

Method Summary
`LicenseType` | `getLicense()` Gets the value of the license property.
`void` | `setLicense(LicenseType value)` Sets the value of the license property.

Methods inherited from class be.fgov.ehealth.mycarenet.commons.core.v4.AbstractIdType
`getName, setName`

Methods inherited from class be.fgov.ehealth.mycarenet.commons.core.v4.SelfRefType
`getId, getRef, setId, setRef`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageType

    public PackageType()

Method Detail

### getLicense

    public LicenseType getLicense()

  Gets the value of the license property.

  Returns:
    possible object is `LicenseType`

### setLicense

    public void setLicense(LicenseType value)

  Sets the value of the license property.

  Parameters:
    `value` - allowed object is `LicenseType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.